Get needs summary by product

This endpoint returns the summary of the needs of a product for a specific day.

GET /api/v1/businesses/{businessId}/products/{productId}/needs/summary/{yyyy-MM-dd}

In the request URL, the following parameters must be specified:

  • Business external identifier (businessId).

  • Product or section external identifier (productId).

  • Date for which the query is made yyyy-MM-dd.

If the data included in the request URL is correct, the response will contain the needs of the product or section with all the defined information for them.

Response example

[
    {
        "service": "0001",
        "product": "0001-GENERAL",
        "zone": "ZG",
        "locationType": "VARIABLE",
        "locationId": "05",
        "location": "RESTOCKING",
        "timeSlots": [
            {
                "from": "2026-04-07T11:00:00.000Z",
                "to": "2026-04-07T11:15:00.000Z",
                "real": 4,
                "applied": 1,
                "reference": 0
            },
            {
                "from": "2026-04-07T11:15:00.000Z",
                "to": "2026-04-07T11:30:00.000Z",
                "real": 4,
                "applied": 1,
                "reference": 0
            }
        ]
    },
    {
        "service": "0001",
        "product": "0001-GENERAL",
        "zone": "ZG",
        "locationType": "FIXED",
        "locationId": "02",
        "location": "CLOSING",
        "timeSlots": [
            {
                "from": "2026-04-07T18:30:00.000Z",
                "to": "2026-04-07T18:45:00.000Z",
                "real": 0,
                "applied": 1,
                "reference": 1
            },
            {
                "from": "2026-04-07T18:45:00.000Z",
                "to": "2026-04-07T19:00:00.000Z",
                "real": 0,
                "applied": 1,
                "reference": 1
            }
        ]
    }
]
Details
  • service: the external identifier of the service or store.

  • product: the external identifier of the product or section.

  • zone: the external identifier of zone.

  • locationType: type of task, whether fixed, variable or non-plannable (FIXED, VARIABLE, UNPLANNED).

  • locationId: the external identifier of the task.

  • location: the name of the task.

  • timeSlots: time intervals indicating when and for how long employees are needed to perform the task. Each time slot has a duration of 15 minutes and includes the following information:

    • from: start time of the interval in UTC.

    • to: end time of the interval in UTC.

    • real: the number of employees that will actually be used for the task. This is the final value considered by the engine.

    • applied: the number of employees set when a different needs proposal was applied instead of the reference one. If no alternative proposal has been applied, the value will be 0.

    • reference: the number of employees suggested by the reference proposal configured in the business. It generally comes from VLH (Variable Labor Hour). If no reference proposal is configured, the value will be 0.

The response will depend on the business configuration and how the needs have been generated (manually, via integration, etc.).

Considerations

The time slots indicate the time period in UTC, that is, the time zone configured for the service is not considered.

If the product specified in the URL does not exist in the business, the request will return a 404 Not Found error, with the message not exists.

If there are no needs generated for the date specified in the URL, the request will return a 204 No Content status.

What are needs?